/////////////////////////////////////////////////////////////////////////////
// RecordDlg.h : Header-Datei
// (C) Copyright G DATA Software AG 1992-2001

#if !defined(AFX_RECORDDLG_H__976F872C_8B35_11D1_B4AF_006097368FF7__INCLUDED_)
#define AFX_RECORDDLG_H__976F872C_8B35_11D1_B4AF_006097368FF7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define NFORMAT 36
#define DEFAULTFORMAT 30

class CRecordFileDlg : public CFileDialog
{
	DECLARE_DYNAMIC(CRecordFileDlg)

	public:
	CRecordFileDlg(CWnd* pParentWnd = NULL);
	unsigned long GetFormat() { return m_ulFormat[m_iFormat]; }
   
	protected:
	CComboBox *m_pDropList;
	int m_iFormat;
	static unsigned long CRecordFileDlg::m_ulFormat[NFORMAT];
	static char CRecordFileDlg::m_szFormat[NFORMAT][24];


	protected:
	//{{AFX_MSG(CRecordFileDlg)
	virtual BOOL OnInitDialog();
	virtual BOOL OnFileNameOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECORDDLG_H__976F872C_8B35_11D1_B4AF_006097368FF7__INCLUDED_)
